import { WeaTools } from 'ecCom';

export const getOfsInfoList = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoList', 'POST', params);
};
export const getOfsInfoRightMenu = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoRightMenu', 'POST', params);
};
export const getOfsInfoCondition = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoCondition', 'POST', params);
};
export const getWorkflowList = params => {
  return WeaTools.callApi('/api/integration/todocenter/getWorkflowList', 'POST', params);
};
export const getWorkflowRightMenu = params => {
  return WeaTools.callApi('/api/integration/todocenter/getWorkflowRightMenu', 'POST', params);
};
export const getWorkflowCondition = params => {
  return WeaTools.callApi('/api/integration/todocenter/getWorkflowCondition', 'POST', params);
};
export const getOfsLogList = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsLogList', 'POST', params);
};
export const getOfsLogCondition = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsLogCondition', 'POST', params);
};
export const getOfsSettingForm = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsSettingForm', 'POST', params);
};
export const getOfsSettingOperation = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsSettingOperation', 'POST', params);
};
export const getWorkflowViewForm = params => {
  return WeaTools.callApi('/api/integration/todocenter/getWorkflowViewForm', 'POST', params);
};
export const getWorkflowOperation = params => {
  return WeaTools.callApi('/api/integration/todocenter/getWorkflowOperation', 'POST', params);
};
export const getOfsInfoAddForm = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoAddForm', 'POST', params);
};
export const getOfsInfoOperation = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoOperation', 'POST', params);
};
export const getOfsInfoLogList = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoLogList', 'POST', params);
};
export const getOfsInfoLogRightMenu = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoLogRightMenu', 'POST', params);
};
export const getOfsInfoLogCondition = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoLogCondition', 'POST', params);
};
export const getOfsInfoWorkflowList = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoWorkflowList', 'POST', params);
};
export const getOfsInfoWorkflowRightMenu = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoWorkflowRightMenu', 'POST', params);
};
export const getOfsInfoWorkflowCondition = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoWorkflowCondition', 'POST', params);
};
export const getOfsInfoWorkflowTypeList = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoWorkflowTypeList', 'POST', params);
};
export const getOfsInfoWorkflowTypeRightMenu = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoWorkflowTypeRightMenu', 'POST', params);
};
export const getOfsInfoWorkflowTypeCondition = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoWorkflowTypeCondition', 'POST', params);
};
export const getOfsInfoWorkflowTypeEditForm = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoWorkflowTypeEditForm', 'POST', params);
};
export const getOfsInfoWorkflowTypeOperation = params => {
  return WeaTools.callApi('/api/integration/todocenter/getOfsInfoWorkflowTypeOperation', 'POST', params);
};
export const getofsWorkflowShareList = params => {
  return WeaTools.callApi('/api/integration/todocenter/getofsWorkflowShareList', 'POST', params);
};
export const getofsWorkflowShareForm = params => {
  return WeaTools.callApi('/api/integration/todocenter/getofsWorkflowShareForm', 'POST', params);
};
export const getNetworkIPColumnsSet = () => {
  return WeaTools.callApi('/api/integration/todocenter/getNetworkIPColumnsSet', 'POST');
};

//短信提醒
export const getSmstemplate = params => WeaTools.callApi('/api/integration/todocenter/getSmstemplate', 'POST', params);
export const resetSmstemplate = params => WeaTools.callApi('/api/integration/todocenter/resetSmstemplate', 'POST', params);
export const saveSmstemplate = params => WeaTools.callApi('/api/integration/todocenter/saveSmstemplate', 'POST', params);
// 自定义
export const getOfsCustomDefinition = params => WeaTools.callApi('/api/integration/todocenter/getOfsCustomDefinition', 'POST', params);
export const saveOfsCustomDefinition = params => WeaTools.callApi('/api/integration/todocenter/ofsCustomDefinitionOperation', 'POST', params);
// 流程注册
export const getWorkflowViewFormEdit = params => WeaTools.callApi('/api/integration/todocenter/getWorkflowViewFormEdit', 'POST', params);
export const ReceiveRequestInfoByJson = params => WeaTools.callApi('/rest/ofs/ReceiveRequestInfoByJson', 'POST', params, "text");
export const OfsHrmResourceTransfer = params => WeaTools.callApi('/api/integration/todocenter/OfsHrmResourceTransfer', 'POST', params);
export const OfsDataOperation = params => WeaTools.callApi('/api/integration/todocenter/OfsDataOperation', 'POST', params);

